/*
 * Copyright (c) 2017 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __TIZEN_APPFW_MESSAGE_PORT_REMOTE_H__
#define __TIZEN_APPFW_MESSAGE_PORT_REMOTE_H__

#include <bundle.h>
#include <message_port.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct message_port_local_port_info {
	message_port_message_cb callback;
	void *user_data;
	bool is_trusted;
	char *port_name;
	int local_id;
} message_port_local_port_info_s;

int get_local_port_info(int id, message_port_local_port_info_s **info);
int register_message_port(const char *local_port, bool is_trusted, message_port_message_cb callback, void *user_data);
int unregister_local_port(int local_port_id, bool trusted_port);
bool is_local_port_registed(const char *local_port, bool trusted, int *local_id, message_port_local_port_info_s **lpi);

/**
 * @}
 */

#ifdef __cplusplus
}
#endif

#endif /*  __TIZEN_APPFW_MESSAGE_PORT_REMOTE_H__ */
